/////////////////////////////////////////////////////////////////////////////
// Name:        Step0Dlg.cpp
// Purpose:     
// Author:      Marco Cavallini m.cavallini@koansoftware.com
// Modified by: 
// Created:     
// RCS-ID:      
// Copyright:   (C) KoanSoftware.com
// Licence:     wxWindows
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "wxWinWiz.h"
#include "wxWinWizAw.h"
#include "Step0Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CWxWinWizAppWiz WxWinWizaw;
/////////////////////////////////////////////////////////////////////////////
// CStep0Dlg dialog


CStep0Dlg::CStep0Dlg(CWnd* pParent /*=NULL*/)
	: CAppWizStepDlg(CStep0Dlg::IDD)
{
	//{{AFX_DATA_INIT(CStep0Dlg)
	//}}AFX_DATA_INIT
}


void CStep0Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStep0Dlg)
	DDX_Control(pDX, IDC_LIST, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStep0Dlg, CDialog)
	//{{AFX_MSG_MAP(CStep0Dlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStep0Dlg message handlers

BOOL CStep0Dlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

	m_List.AddString("     - Mantainer -") ;
	m_List.AddString("Marco Cavallini <m.cavallini@koansoftware.com>") ;
	m_List.AddString(" ") ;
	m_List.AddString("     - Contributors - ") ;	// in order of contribution
	m_List.AddString("Bill Nalen <bill@nalens.com>") ;
	m_List.AddString("Gregory Silber <gsilber@marsnet.com>") ;
	m_List.AddString("Geoff Beier <gbeier@orionsec.com>") ;
	m_List.AddString("Andrea Visinoni <andrea@koansoftware.com>") ;
	m_List.AddString("Martin Y. Chiu <sothat@bacchanal.us>") ;

	UpdateData(FALSE);

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CStep0Dlg::OnDismiss()
{
	UpdateData(TRUE);

	return TRUE;
}
