/////////////////////////////////////////////////////////////////////////////
// Name:        Step2Dlg.cpp
// Purpose:     
// Author:      Gregory Silber gsilber@marsnet.com
// Modified by: Marco Cavallini m.cavallini@koansoftware.com
// Created:     
// RCS-ID:      
// Copyright:   
// Licence:     wxWindows
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "wxWinWiz.h"
#include "wxWinWizaw.h"
#include "Step2Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CWxWinWizAppWiz WxWinWizaw;
/////////////////////////////////////////////////////////////////////////////
// CStep2Dlg dialog


CStep2Dlg::CStep2Dlg(CWnd* pParent /*=NULL*/)
	: CAppWizStepDlg(CStep2Dlg::IDD)
{
	//{{AFX_DATA_INIT(CStep2Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CStep2Dlg::DoDataExchange(CDataExchange* pDX)
{
	CAppWizStepDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStep2Dlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStep2Dlg, CAppWizStepDlg)
	//{{AFX_MSG_MAP(CStep2Dlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStep2Dlg message handlers

BOOL CStep2Dlg::OnDismiss()
{
	CButton* btn;

	btn=(CButton*)GetDlgItem(IDC_SINGLEDOCUMENT);
	if (btn->GetCheck()==TRUE)
		WxWinWizaw.m_Dictionary[_T("singledocument")] = "1";
	else
		WxWinWizaw.m_Dictionary.RemoveKey(_T("singledocument"));

    btn=(CButton*)GetDlgItem(IDC_EMPTYPROJECT);
	if (btn->GetCheck()==TRUE)
		WxWinWizaw.m_Dictionary[_T("emptyproject")] = "1";
	else
		WxWinWizaw.m_Dictionary.RemoveKey(_T("emptyproject"));
    
    btn=(CButton*)GetDlgItem(IDC_DIALOGPROJECT);
	if (btn->GetCheck()==TRUE)
		WxWinWizaw.m_Dictionary[_T("dialogproject")] = "1";
	else
		WxWinWizaw.m_Dictionary.RemoveKey(_T("dialogproject"));
    
	return TRUE;
}

BOOL CStep2Dlg::OnInitDialog() 
{
	CAppWizStepDlg::OnInitDialog();

    CButton* btn;

    btn = (CButton*) GetDlgItem(IDC_SINGLEDOCUMENT);
	if (WxWinWizaw.m_Dictionary[_T("singledocument")] == "1")
	    btn->SetCheck(TRUE);
    else
        btn->SetCheck(FALSE);

    btn = (CButton*) GetDlgItem(IDC_EMPTYPROJECT);
	if (WxWinWizaw.m_Dictionary[_T("emptyproject")] == "1")
	    btn->SetCheck(TRUE);
    else
        btn->SetCheck(FALSE);

    btn = (CButton*) GetDlgItem(IDC_DIALOGPROJECT);
    if (WxWinWizaw.m_Dictionary[_T("dialogproject")] == "1")
	    btn->SetCheck(TRUE);
    else
        btn->SetCheck(FALSE);

    return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
