/////////////////////////////////////////////////////////////////////////////
// Name:        $$root$$Frm.cpp
// Purpose:     
// Author:      
// Modified by: 
// Created:     
// RCS-ID:      
// Copyright:   (C)2005 
// Licence:     wxWindows
// Generated with wxWinWizard by KoanSoftware.com
/////////////////////////////////////////////////////////////////////////////

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------
#include "wxprec.h"

$$IF(usexrc)
#include <wx/xrc/xmlres.h>
$$ENDIF
$$IF(toolbar)
#include <wx/image.h>
$$ENDIF

#include "$$root$$App.h"
#include "$$root$$Frm.h"

// ----------------------------------------------------------------------------
// resources
// ----------------------------------------------------------------------------
// the application icon
#if defined(__WXGTK__) || defined(__WXMOTIF__)
    #include "res/$$root$$.xpm"
#endif

// ----------------------------------------------------------------------------
// constants
// ----------------------------------------------------------------------------

$$IF(!usexrc)
// IDs for the controls and the menu commands
enum
{
    // menu items
    Minimal_Quit = 1,
    Minimal_About
};
$$ENDIF

// ----------------------------------------------------------------------------
// event tables and other macros for wxWindows
// ----------------------------------------------------------------------------

// the event tables connect the wxWindows events with the functions (event
// handlers) which process them. It can be also done at run-time, but for the
// simple menu events like this the static method is much simpler.
IMPLEMENT_CLASS($$root$$Frame, wxFrame)
BEGIN_EVENT_TABLE($$root$$Frame, wxFrame)
$$IF(menubar||toolbar)
$$IF(usexrc)
    EVT_MENU(XRCID("file_menu_exit"), $$root$$Frame::OnQuit)
    EVT_MENU(XRCID("help_menu_about"), $$root$$Frame::OnAbout)
$$ELSE
    EVT_MENU(Minimal_Quit,  $$root$$Frame::OnQuit)
    EVT_MENU(Minimal_About, $$root$$Frame::OnAbout)
$$ENDIF
$$ENDIF
END_EVENT_TABLE()

// ----------------------------------------------------------------------------
// main frame
// ----------------------------------------------------------------------------

// frame constructor
$$root$$Frame::$$root$$Frame(const wxString& title, const wxPoint& pos, const wxSize& size, long style)
       : wxFrame((wxFrame *)NULL, -1, title, pos, size, style)
{
    // set the frame icon
    SetIcon(wxICON($$root$$));

$$IF(usexrc)
$$IF(menubar)
    // load the menubar
    SetMenuBar(wxXmlResource::Get()->LoadMenuBar("main_menubar"));
$$ENDIF
$$IF(toolbar)
    // load the toolbar
    SetToolBar(wxXmlResource::Get()->LoadToolBar(this, "main_toolbar"));
$$ENDIF
$$ELSE
$$IF(menubar)
    // create menu bars
    wxMenu *fileMenu = new wxMenu("", wxMENU_TEAROFF);
    wxMenu *helpMenu = new wxMenu("", wxMENU_TEAROFF);

    fileMenu->Append(Minimal_Quit, _("E&xit\tAlt-X"), _("Quit this program"));
    helpMenu->Append(Minimal_About, _("&About...\tCtrl-A"), _("Show about dialog"));

    // now append the freshly created menu to the menu bar...
    wxMenuBar *menuBar = new wxMenuBar();
    menuBar->Append(fileMenu, _("&File"));
    menuBar->Append(helpMenu, _("&Help"));

    // ... and attach this menu bar to the frame
    SetMenuBar(menuBar);
$$ENDIF

$$IF(toolbar)
    // load the image wanted on the toolbar
    wxBitmap aboutImage("res/help.bmp", wxBITMAP_TYPE_BMP);
//	wxBitmap aboutImage = wxBITMAP(help) ;

    // create the toolbar and add our 1 tool to it
    wxToolBar* toolbar = CreateToolBar();
    toolbar->AddTool(Minimal_About, _("About"), aboutImage, _("About this program"));
    toolbar->Realize();
$$ENDIF
$$ENDIF

$$IF(statusbar)
    // create a status bar just for fun (by default with 1 pane only)
    CreateStatusBar(2);
    SetStatusText(_("$$caption$$"));
$$ENDIF
}

// frame destructor
$$root$$Frame::~$$root$$Frame()
{
}

// event handlers
$$IF(menubar||toolbar)
void $$root$$Frame::OnQuit(wxCommandEvent& event)
{
    // TRUE is to force the frame to close
    Close(TRUE);
}

void $$root$$Frame::OnAbout(wxCommandEvent& event)
{
    // called when help - about is picked from the menu or toolbar
    wxString msg;
    msg.Printf(_("About $$Root$$...\n"));
    wxMessageBox(msg, _("About $$Root$$"), wxOK | wxICON_INFORMATION, this);
}
$$ENDIF
