#if !defined(AFX_WXWINWIZAW_H__C6EC1EA7_4AD2_49AD_8CF0_A4F9D8815F67__INCLUDED_)
#define AFX_WXWINWIZAW_H__C6EC1EA7_4AD2_49AD_8CF0_A4F9D8815F67__INCLUDED_


#define BASE_OUTPUT_STR			"BASE Output_Dir"
#define PROP_OUTPUT_STR			"PROP Output_Dir"

#define BASE_INTERMEDIATE_STR	"BASE Intermediate_Dir "
#define PROP_INTERMEDIATE_STR	"PROP Intermediate_Dir "

#define RELEASE_DLL				"ReleaseDLL"
#define DEBUG_DLL				"DebugDLL"

#define BASE_RELDLL_SUBSTR_OUT		"# PROP BASE Output_Dir \"ReleaseDLL\"\n"
#define BASE_DEBDLL_SUBSTR_OUT		"# PROP BASE Output_Dir \"DebugDLL\"\n"

#define PROP_RELDLL_SUBSTR_OUT		"# PROP Output_Dir \"ReleaseDLL\"\n"
#define PROP_DEBDLL_SUBSTR_OUT		"# PROP Output_Dir \"DebugDLL\"\n"

#define	BASE_RELDLL_SUBSTR_INT		"# PROP BASE Intermediate_Dir \"ReleaseDLL\"\n"
#define	BASE_DEBDLL_SUBSTR_INT		"# PROP BASE Intermediate_Dir \"DebugDLL\"\n"

#define	PROP_RELDLL_SUBSTR_INT		"# PROP Intermediate_Dir \"ReleaseDLL\"\n"
#define	PROP_DEBDLL_SUBSTR_INT		"# PROP Intermediate_Dir \"DebugDLL\"\n"

// wxWinWizaw.h : header file
//

class CDialogChooser;

// All function calls made by mfcapwz.dll to this custom AppWizard (except for
//  GetCustomAppWizClass-- see wxWinWiz.cpp) are through this class.  You may
//  choose to override more of the CCustomAppWiz virtual functions here to
//  further specialize the behavior of this custom AppWizard.
class CWxWinWizAppWiz : public CCustomAppWiz
{
public:
	virtual CAppWizStepDlg* Next(CAppWizStepDlg* pDlg);
	virtual CAppWizStepDlg* Back(CAppWizStepDlg* pDlg);
		
	virtual void InitCustomAppWiz();
	virtual void ExitCustomAppWiz();
	virtual void CustomizeProject(IBuildProject* pProject);

private:
	void CfgSetRelease(IConfiguration *cfg, CString name, VARIANT vBlank) ;
	void CfgSetDebug(IConfiguration *cfg, CString name, VARIANT vBlank) ;
	void CfgSetReleaseDLL(IConfiguration *cfg, CString name, VARIANT vBlank) ;
	void CfgSetDebugDLL(IConfiguration *cfg, CString name, VARIANT vBlank) ;

	CString m_sProject_Name ;
};

// This declares the one instance of the CWxWinWizAppWiz class.  You can access
//  m_Dictionary and any other public members of this class through the
//  global WxWinWizaw.  (Its definition is in wxWinWizaw.cpp.)
extern CWxWinWizAppWiz WxWinWizaw;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WXWINWIZAW_H__C6EC1EA7_4AD2_49AD_8CF0_A4F9D8815F67__INCLUDED_)
