/////////////////////////////////////////////////////////////////////////////
// Name:        $$root$$Dlg.cpp
// Purpose:     
// Author:      
// Modified by: 
// Created:     
// RCS-ID:      
// Copyright:   (C)2005 
// Licence:     wxWindows
// Generated with wxWinWizard by KoanSoftware.com
/////////////////////////////////////////////////////////////////////////////

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------
#include "wxprec.h"

$$IF(usexrc)
#include <wx/xrc/xmlres.h>
$$ENDIF
$$IF(toolbar)
#include <wx/image.h>
$$ENDIF

#include "$$root$$App.h"
#include "$$root$$Dlg.h"

// ----------------------------------------------------------------------------
// resources
// ----------------------------------------------------------------------------
// the application icon
#if defined(__WXGTK__) || defined(__WXMOTIF__)
    #include "res/$$root$$.xpm"
#endif

// ----------------------------------------------------------------------------
// constants
// ----------------------------------------------------------------------------

$$IF(!usexrc)
// IDs for the controls and the menu commands
enum
{
    // menu items
    Minimal_Quit = 1,
    Minimal_About
};
$$ENDIF

// ----------------------------------------------------------------------------
// event tables and other macros for wxWindows
// ----------------------------------------------------------------------------

// the event tables connect the wxWindows events with the functions (event
// handlers) which process them. It can be also done at run-time, but for the
// simple menu events like this the static method is much simpler.
IMPLEMENT_CLASS($$root$$Dialog, wxDialog)
BEGIN_EVENT_TABLE($$root$$Dialog, wxDialog)
$$IF(usexrc)
    EVT_BUTTON(XRCID("file_menu_exit"), $$root$$Dialog::OnQuit)
    EVT_BUTTON(XRCID("help_menu_about"), $$root$$Dialog::OnAbout)
$$ELSE
    EVT_BUTTON(Minimal_Quit,  $$root$$Dialog::OnQuit)
    EVT_BUTTON(Minimal_About, $$root$$Dialog::OnAbout)
$$ENDIF
    EVT_CLOSE($$root$$Dialog::OnQuit)
END_EVENT_TABLE()

// ----------------------------------------------------------------------------
// main Dialog
// ----------------------------------------------------------------------------

// Dialog constructor
$$root$$Dialog::$$root$$Dialog(const wxString& title, const wxPoint& pos, const wxSize& size)
$$IF(!usexrc)
       : wxDialog((wxDialog *) NULL, -1, title, pos, size)
$$ENDIF
{
$$IF(usexrc)
    wxXmlResource::Get()->LoadDialog(this, NULL, "main_dialog");
    SetTitle(title);
$$ELSE
    // Add a control to the dialog
    wxButton* quitButton = new wxButton(this, Minimal_Quit, _("Quit"), wxPoint(50, 10), wxSize(40, 20));
    wxButton* aboutButton = new wxButton(this, Minimal_About, _("About"), wxPoint(50, 40), wxSize(40, 20));
$$ENDIF

    // set the Dialog icon
    SetIcon(wxICON($$root$$));
}

// Dialog destructor
$$root$$Dialog::~$$root$$Dialog()
{
}

// event handlers
void $$root$$Dialog::OnQuit(wxCommandEvent& event)
{
    // must call Destroy for dialogs
    Destroy();
}

void $$root$$Dialog::OnAbout(wxCommandEvent& event)
{
    // called when help - about is picked from the menu or toolbar
    wxString msg;
    msg.Printf(_("About $$Root$$...\n"));
    wxMessageBox(msg, _("About $$Root$$"), wxOK | wxICON_INFORMATION, this);
}

